<?xml version="1.0" encoding="ISO-8859-1" standalone="yes"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns="http://www.w3.org/1999/xhtml">

  <xsl:output encoding="ISO-8859-1" method="xml" media-type="application/xml+xhtml"
    doctype-public="-//W3C//DTD XHTML 1.1//EN"
    doctype-system="http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd" />
  
  <xsl:variable name="ficheid">
    <xsl:choose>
      <xsl:when test="/EVIDENCES/@ID_FICHE"><xsl:value-of select="/EVIDENCES/@ID_FICHE" /></xsl:when>
      <xsl:otherwise><xsl:value-of select="'F'" /></xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  
  <xsl:variable name="champaid">
    <xsl:choose>
      <xsl:when test="/EVIDENCES/@ID_CHAMP1"><xsl:value-of select="/EVIDENCES/@ID_CHAMP1" /></xsl:when>
      <xsl:otherwise><xsl:value-of select="'Q'" /></xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  
  <xsl:variable name="champbid">
    <xsl:choose>
      <xsl:when test="/EVIDENCES/@ID_CHAMP2"><xsl:value-of select="/EVIDENCES/@ID_CHAMP2" /></xsl:when>
      <xsl:otherwise><xsl:value-of select="'R'" /></xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <xsl:template match="/*" priority="1">
    <xsl:message terminate="yes">
      Ceci n'est pas un document Evidences.
    </xsl:message>
  </xsl:template>

  <xsl:template match="/EVIDENCES" priority="2">
    <xsl:call-template name="fichierevidences" />
  </xsl:template>

  <xsl:template name="fichierevidences">
    <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" dir="ltr">
      <head>
        <title><xsl:value-of select="TITRE" /></title>
        <meta name="keywords" content="Evidences" />
        <meta name="description" content="Document Evidences" />
        <meta name="generator" content="Evidences" />
        <link rel="stylesheet" type="text/css" href="./evidences.css" />
      </head>
      <body>
        <xsl:apply-templates mode="body" />
      </body>
    </html>
  </xsl:template>

  <xsl:template match="TITRE" mode="body">
    <h1><xsl:apply-templates mode="text" /></h1>
  </xsl:template>

  <xsl:template match="SIGNATURE" mode="body" />

  <xsl:template match="OPTIONS" mode="body" />

  <xsl:template match="*" mode="body">
    <xsl:if test="local-name()=$ficheid">
        <ul>
          <li class="champa"><xsl:apply-templates mode="text" select="*[local-name()=$champaid]" /></li>
          <xsl:for-each select="*[local-name()=$champbid][not(@CACHE) or @CACHE != 'oui']">
            <li class="champb"><xsl:apply-templates mode="text" /></li>
          </xsl:for-each>
      </ul>
    </xsl:if>
  </xsl:template>

  <xsl:template match="br" mode="text"><br /></xsl:template>
  <xsl:template match="tab" mode="text"><xsl:text>&#9;</xsl:text></xsl:template>

</xsl:stylesheet>
